<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateActionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('actions', function (Blueprint $table) {
            $table->id();

            $table->string('action_handler_class');
            $table->enum('type', [
                'before', 'after'
            ])->nullable();
            $table->integer('priority');

            // sources
            $table->uuid('source_id')
                ->nullable();
            $table->foreign('source_id')
                ->references('id')
                ->on('sources');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('actions');
    }
}
